
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>IPSec VPN简介 / iVAN</title>

    <meta name="description" content="IPSec VPN简介 IPSec (IP SECURITY)是为实现VPN 功能而最普遍使用的协议.通过相应的隧道技术,可实现VPN.IPSec有两种模式:隧道模式和传输模式. IPSec 不是一个单独的协议,它给出了应用于IP 层上网络数据安全的一整套体系结构.该体系结构包括认证头协议(Authentication Header,简称为AH).封装安全负载协议(EncapsulatingSecurity Payload,简称为ESP).密钥管理协议(Internet Key Exchange,简称为IKE)和用于网">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">IPSec VPN简介</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>IPSec (IP SECURITY)是为实现VPN 功能而最普遍使用的协议。通过相应的隧道技术，可实现VPN。IPSec有两种模式：隧道模式和传输模式。</p>
<p>IPSec 不是一个单独的协议，它给出了应用于IP 层上网络数据安全的一整套体系结构。该体系结构包括认证头协议（Authentication Header，简称为AH）、封装安全负载协议（EncapsulatingSecurity Payload，简称为ESP）、密钥管理协议（Internet Key Exchange，简称为IKE）和用于网络认证及加密的一些算法等。</p>
<p>IPSec 规定了如何在对等体之间选择安全协议、确定安全算法和密钥交换，向上提供了访问控制、数据源认证、数据加密等网络安全服务。</p>
<p>认证头协议（AH）：IPsec 体系结构中的一种主要协议，它为IP 数据包提供无连接完整性与数据源认证，并提供保护以避免重播情况。AH 尽可能为IP头和上层协议数据提供足够多的认证。</p>
<p>IPsec 封装安全负载（ESP）：IPsec 体系结构中的一种主要协议。ESP 加密需要保护的数据并且在IPsec ESP 的数据部分进行数据的完整性校验，以此来保证机密性和完整性。ESP 提供了与AH 相同的安全服务并提供了一种保密性（加密）服务，ESP 与AH 各自提供的认证根本区别在于它们的覆盖范围。</p>
<p>密钥管理协议（IKE）：一种混合型协议，由Internet 安全联盟（SA）和密钥管理协议（ISAKMP）这两种密钥交换协议组成。IKE 用于协商AH 和ESP所使用的密码算法，并将算法所需的必备密钥放到恰当位置。</p>
<p>IPSec工作时，首先两端的网络设备必须就SA(security association)达成一致，这是两者之间的一项安全策略协定。</p>
<p>安全联盟（Security Association）</p>
<p>IPSec 在两个端点之间提供安全通信，两个端点被称为IPSec ISAKMP 网关。安全联盟（简称为SA）是IPSec 的基础，也是IPSec 的本质。SA 是通信对等体间对某些要素的约定，例如:使用哪种协议、协议的操作模式、加密算法（DES、3DES、AES-128、AES-192 和AES-256）、特定流中保护数据的共享密钥以及SA 的生存周期等。</p>
<p>安全联盟是单向的，在两个对等体之间的双向通信，最少需要两个安全联盟来分别对两个方向的数据流进行安全保护。</p>
<p>SA 建立方式</p>
<p>建立安全联盟的方式有两种，一种是手工方式（Manual），一种是IKE 自动协商（ISAKMP）方式。</p>
<p>手工方式配置比较复杂，创建安全联盟所需的全部信息都必须手工配置，而且IPSec 的一些高级特性（例如定时更新密钥）不能被支持，但优点是可以不依赖IKE而单独实现IPSec 功能。该方式适用于当与之进行通信的对等体设备数量较少的情况，或是在小型静态环境中。</p>
<p>IKE 自动协商方式相对比较简单，只需要配置好IKE 协商安全策略的信息，由IKE 自动协商来创建和维护安全联盟。该方式适用于中、大型的动态网络环境中。</p>
<p>该方式建立SA 的过程分两个阶段。第一阶段，协商创建一个通信信道（ISAKMP SA），并对该信道进行认证，为双方进一步的IKE 通信提供机密性、数据完整性以及数据源认证服务；第二阶段，使用已建立的ISAKMP SA 建立IPsec SA。分两个阶段来完成这些服务有助于提高密钥交换的速度。</p>
<p>第一阶段SA</p>
<p>第一阶段SA 为建立信道而进行的安全联盟。第一阶段协商的步骤是：</p>
<p>1. 参数配置。包括：</p>
<p>认证方法：选择预共享密钥或数字证书认证</p>
<p>Diffie-Hellman 组的选择</p>
<p>2. 策略协商。包括：</p>
<p>加密算法：选择DES、3DES、AES-128、AES-192 或AES-256</p>
<p>hash 算法：选择MD5 或SHA</p>
<p>3. DH 交换。虽然名为“密钥交换”，但事实上在任何时候，两台通信主机之间都不会交换真正的密钥，它们之间交换的只是一些DH 算法生成共享密钥所需要的基本材料信息。DH 交换，可以是公开的，也可以受保护。在彼此交换过密钥生成“材料”后，两端主机可以各自生成出完全一样的共享“主密钥”，保护紧接其后的认证过程。</p>
<p>4. 认证 。DH 交换需要得到进一步认证，如果认证不成功，通信将无法继续下去。“主密钥”结合在第一步中确定的协商算法，对通信实体和通信信道进行认证。在这一步中，整个待认证的实体载荷，包括实体类型、端口号和协议，均由前一步生成的“主密钥”提供机密性和完整性保证。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-30 21:04:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/%e5%8d%8f%e8%ae%ae/" title="协议">协议</a>, <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/%e5%af%86%e9%92%a5/" title="密钥">密钥</a>, <a href="https://www.iamivan.net/tag/%e8%ae%a4%e8%af%81/" title="认证">认证</a>, <a href="https://www.iamivan.net/tag/ipsec/" title="ipsec">ipsec</a>, <a href="https://www.iamivan.net/tag/%e8%ae%a4%e8%af%81%e5%8d%8f%e8%ae%ae/" title="认证协议">认证协议</a>, <a href="https://www.iamivan.net/tag/%e5%af%86%e9%92%a5%e4%ba%a4%e6%8d%a2/" title="密钥交换">密钥交换</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>IPSec VPN简介的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2wxOM.html" rel="bookmark">基于路由器实现IPSec VPN的过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				许多人问我,怎么去实现IPSec VPN 技术,我将这个做了一个案例,告诉大家怎样去配置一个基于路由器实现IPSec VPN. 因工作需要,要求在公司的南京办事处与上海办事处之间建立VPN联接.南京办事处网络设置:内网IP 10.1.1.0/24,外网IP 202.102.1.5/24:上海办事处网络设置:内网IP 10.1.2.0/24,外网IP 202.102.1.6/24. 在两边的路由器上都要进行以下配置步骤: 一.配置IKE中的加密算法 二.配置IKE密钥方法 三.定义转换集 四.建立			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLRgOb.html" rel="bookmark">简述中间网络ASA防火墙对IPSEC VPN的影响和解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ipsec VPN 实现了网络的拓展,防火墙实现了对网络流量的控制和过滤,因此会对IPSEC VPN的通信产生影响. 默认ASA只对UDP/TCP流量维护状态会话,因此会丢弃返回的ESP流量.解决办法有两种 一 使用ACL放行ESP流量. 二 应用检查ipsec vpn. 实验拓扑 R1配置: crypto isakmp policy 10 encr 3des authentication pre-share group 2 crypto isakmp key cisco address 192			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bal7EPz.html" rel="bookmark">Hub-and-spoke IPSec VPN配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1,IPSEC VPN应用越来越广泛,下面配置实例是针对单总部多分支机构的实际应用 按照本文的配置,可以实现通过最少的VPN隧道数量达到最大的VPN连通性的要求,网络拓扑结构如下: 如上图所示,总部防火墙机Hub防火墙名称是FortiGate_1,它的外网口IP地址是:172.16.10.1,总部的内网有2个不同的部门子网分别是财务子网(Finance Network),地址是:192.168.12.0/24:人力资源子网(HR Network),地址是:192.168.22.0/24: 有2个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEj07b.html" rel="bookmark">通道模式配置子网重叠IPSec VPN</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文档针对所有FortiGate设备配置子网重叠IPSec VPN进行说明.当配置VPN互联时,如果两端的子网有重叠但又不能更改任何一端的网络就需要使用NAT的方式进行地址转换,才能让VPN连通.一般情况下不建议VPN的两端使用重叠地址. 环境介绍: 本文使用FortiGate500A.FortiGate310B做演示.本文支持的系统版本为FortiOS v3.0 MR3或更高. 拓扑说明: FortiGate500A:本端网络,192.168.4.0/24:对端网络,192.168.66.0/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wZ78p.html" rel="bookmark">艾泰HiPER2620和H3C设备建立IPSEC VPN</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  此文档基于HIPER 2620 V10.1版本 用户需求: 艾泰HIPER 2620和H3C设备WAN口都是固定IP地址,需要建立IPSEC VPN. 配置步骤: 1.登录路由器,点击VPN配置-&gt;PPTP和L2TP,配置网关地址和加密算法等,如图1.2所示: 图1 图2 2.登录H3C路由器,配置网关地址和加密算法等,如图3.4.5所示: 图3 图4 图5 3.配置完成后,查看IPSEC VPN连接状态,如图6所示: 图6 4.测试两端的连通性,如果图7.8所示: 图7 图8			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZdadqM.html" rel="bookmark">客户端-使用strongswan 搭建ipsec vpn</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 使用strongswan 搭建ipsec vpn 是用strongswan 搭建ipsec vpn 客户端可以是路由器(也有ipsec vpn的功能)吗?如果可以应该如何设置啊?谢谢大家了,我的qq号码825536458			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7e2Pp.html" rel="bookmark">asa拨号vpn-移动终端通过微软L2TP OVER IPSEC VPN 拨入思科ASA5512防火墙</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 移动终端通过微软L2TP OVER IPSEC VPN 拨入思科ASA5512防火墙 移动终端通过微软L2TP OVER IPSEC VPN 拨入思科ASA5512出口防火墙,移动终端所有流量均走隧道到总部,现在我想让移动终端通过总部ASA的出口上网,这样的方式在ASA上怎么配置,求解答?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgwLy6M.html" rel="bookmark">在Linux中使用Openswan搭建站点到站点的IPsec VPN 隧道</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Linux中使用Openswan搭建站点到站点的IPsec VPN 隧道 虚拟私有网络(VPN)隧道是通过Internet隧道技术将两个不同地理位置的网络安全的连接起来的技术.当两个网络是使用私有IP地址的私有局域网络时,它们之间是不能相互访问的,这时使用隧道技术就可以使得两个子网内的主机进行通讯.例如,VPN隧道技术经常被用于大型机构中不同办公区域子网的连接. 有时,使用VPN隧道仅仅是因为它很安全.服务提供商与公司会使用这样一种方式架设网络,他们将重要的服务器(如,数据库,VoIP,银行服			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8G3aZM.html" rel="bookmark">Ubuntu上搭建 L2TP&sol;IPSec VPN的步骤详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.L2TP第二层隧道协议 是需要证书的一种访问方式.需要在VPN服务器内网安装一证书服务器,然后让VPN服务器信任该证书颁布机构,然后发布证书服务器,下载证书.VPN客户端需要访问需要先下载安装证书才可进行连接 2.IPSEC网际安全协议 是智能卡访问模式.  Linode使用有一段时间了,上面一直都搭着PPTP作为翻墙VPN,实际上使用蛮少的.最近想躺在床上就可以通过ipad翻墙看看新闻,但是查了下方法,大家都一直建议使用L2TP/IPSec VPN. 翻阅了不少人博客上的搭建方法,本来以为			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMydn8b.html" rel="bookmark" class="title">SVG Shapes之圆形 &amp;lt&semi;circle&amp;gt&semi;</a>
					<div>
						2.圆形 &lt;circle&gt; 示例2.1 &lt;svg height=&quot;100&quot; width=&quot;100&quot;&gt; &lt;circle cx=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR8Rkz.html" rel="bookmark" class="title">Dreamweaver构建Blog&lpar;5&rpar;&colon;分栏及回复的实现</a>
					<div>
						dreamweaver Dreamweaver构建Blog全程实录(1)·Dreamweaver构建Blog(2):构建开发环境 Dreamweaver构建Blog(3):数据库的设计和连接·Drea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2LZop.html" rel="bookmark" class="title">坚持做了2年网站的女站长经历</a>
					<div>
						在一个很极度无聊的礼拜天,一个做电子商务的同学给我发了一个有关上下线的东西,说的是加入它就可以月赚1万! 加盟费需要388元,当时,我就觉得这个可能就是传销,但是我又分析了下,包括网页空间提供网络电话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPrRrb.html" rel="bookmark" class="title">ASP&period;NET访问Oracle数据库的方法</a>
					<div>
						asp.net|oracle|访问|数据|数据库 引言 Microsoft .NET Framework Data Provider for Oracle(以下简称为.NET for Oracle)是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2OB4M.html" rel="bookmark" class="title">利用SEO打造品牌网站需要摆脱关键词的束缚</a>
					<div>
						以前看过一篇文章叫我眼中的SEO三重境界,写的很好,大家可以去看看.做SEO第一境界是把关键词排名做上去,第二重境界是用户体验和打造营销性的网站,第三重境界就是利用SEO打造品牌网站.今天就是在这里给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwwROz.html" rel="bookmark" class="title">SEO如何用目标关键词确定网站标题</a>
					<div>
						网站标题可谓是网站的门面,如何确定网站的标题应是seo值得推敲的学问,今天通过目标关键词的确定来谈网站标题的制作. 一.如何定性的确定目标关键词 1.关键词挖掘工具的使用 用谷歌账户adwords关键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxLAKb.html" rel="bookmark" class="title">一起学Windows Phone7开发&lpar;十三&period;九 UserControl控件&rpar;</a>
					<div>
						Phone7提供的控件都是一些基本的控件,这远远是无法满足开发需要的,这就需要用到这个用户控件,来自定义所需要的控件.比如:TreeView.Waiting等都是Phone7中没有的.另外这也是与si ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2JvoM.html" rel="bookmark" class="title">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植（3）：Head&period;s</a>
					<div>
						uclinux系统的入口点为head.s,因此先将此文件添加到corea.dlb,先改下语法错误. 1 时钟配置 因为没有使用引导程序,因此在内核启动时需要重新配置CPU的运行速度.在config.h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKoK1M.html" rel="bookmark" class="title">TPrinter</a>
					<div>
						TPrinter类中封装了Windows打印机的接口. 类关系 TObjeet 使用TPrinter对象可以执行应用程序中的任何打印操作.可以在Printers单元中通过调用Printer函数来获得一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKRovp.html" rel="bookmark" class="title">wps表格筛选数据功能在哪 wps表格筛选数据方法</a>
					<div>
						  wps表格就是office中的excel功能了,我们可以利用wps表格来替代excel功能了,下面我们就一起来看看wps表格筛选数据方法,希望文章能帮助到各位朋友. 其实wps表格筛选数据的方法与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWYNRb.html" rel="bookmark" class="title">如何用金山卫士锁定浏览器主页</a>
					<div>
						2.打开金山卫士选择网盾保护,此时会弹出如下界面. 图示说明: 3. 找到IE主页锁定,在下拉菜单中选择&quot;www.hao123.com&quot;导航网址.最后点击锁定,即可锁定您的主页.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa5mvM.html" rel="bookmark" class="title">windows 查询端口被哪个程序占用</a>
					<div>
						TCPVIEW就可以了 如果是03系统 netstat -anbp tcp cmd=&gt;netstat -ano C:&gt;netstat -aon|findstr &quot;80&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa8W8M.html" rel="bookmark" class="title">TN面板是什么</a>
					<div>
						  目前我们看到的TN面板多是改良型的TN+film,film即补偿膜,用于弥补TN面板可视角度的不足,目前改良的TN面板的可视角度都达到160°,当然这是厂商在对比度为10∶1的情况下测得的极限值, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWAO7b.html" rel="bookmark" class="title">如何分离带木马文件？</a>
					<div>
						  第一步:用UltraEdit的十六进制方式打开绑定程序,选中第二个MZ到第三个MZ之间的内容(即第二个文件),将该部分复制.然后新建一个文件,粘贴,保存为EXE文件. 第二步:选中第三个MZ至文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywXkdz.html" rel="bookmark" class="title">把U盘分区的小技巧</a>
					<div>
						  把U盘分区,相信大家都知道一二了,但要告诉大家的这个方法却不为人所熟悉的.不相信?我们来看看吧. 一般U盘在我们的电脑中,显示的是可移动的存储.我们现在就是要把它改成&quot;本地磁盘&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGOg1p.html" rel="bookmark" class="title">Java 合并数组</a>
					<div>
						Java 合并数组 (1)合并字节数组 Java代码   /***       * 合并字节数组       *        * @param a       * @return       */  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYO2Ob.html" rel="bookmark" class="title">Redis3在CENTOS6上的安装配置</a>
					<div>
						重温一下,这次找了个简单的安装. 测试过程很顺利哟. 参考URL: http://www.linuxidc.com/Linux/2015-07/119567.htm 一.介绍 redis在做数据库缓存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQXBLp.html" rel="bookmark" class="title">dll c&num;-c&num;调用c&plus;&plus;的dll出现尝试读取或写入受保护的内存问题</a>
					<div>
						问题描述 c#调用c++的dll出现尝试读取或写入受保护的内存问题 使用c#调用c++的一个dll.c++的接口函数为: extern &quot;C&quot; __declspec(dllexpo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdExBNz.html" rel="bookmark" class="title">使用的discuz论坛，首页forum&period;php，访问的时候被指向了其他网站</a>
					<div>
						问题描述 使用的discuz论坛,首页forum.php,访问的时候被指向了其他网站 &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;refre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE1L5p.html" rel="bookmark" class="title">&lbrack;教程&rsqb;西秦的ACE-JAVA教程一、JAVA MAVEN环境搭建</a>
					<div>
						首先是配置JDK 1.7      1.        到Oracle 官网下载 JDK 1.7 安装包.  下载地址:http://www.oracle.com/technetwork/java/j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RnA6z.html" rel="bookmark" class="title">x264编码设置-x264编码--使用nal单元分割一帧h264数据</a>
					<div>
						问题描述 x264编码--使用nal单元分割一帧h264数据 在x264编码中,想要编码出来每一帧数据中含有多个nal单元(比如00 00 01或者00 00 00 01) 分割,并且可以设置每个na ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGErQlM.html" rel="bookmark" class="title">http   安全证书-HTTPCLIENT访问不同安全证书接口时，证书信息会混淆。</a>
					<div>
						问题描述 HTTPCLIENT访问不同安全证书接口时,证书信息会混淆. 进行HTTP发送POST请求调用别人接口,当System.setProperty(&quot;javax.net.ssl.key ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKEE6b.html" rel="bookmark" class="title">图片展示&sol;分享型的网站如何提高图片的载入速度？</a>
					<div>
						虽然经验浅薄,但好坏也算是做过了一个以图片为主的应用.浅见如下,欢迎指正. 首先,要想比较好的回答这个问题,我们可能需要对&quot;提高图片的载入速度&quot;作一个更明确的定义.假定po主想问的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7RqZM.html" rel="bookmark" class="title">初学者怎么选择神经网络环境？对比MATLAB、Torch和TensorFlow</a>
					<div>
						初学者在学习神经网络的时候往往会有不知道从何处入手的困难,甚至可能不知道选择什么工具入手才合适.近日,来自意大利的四位研究者发布了一篇题为&lt;神经网络初学者:在 MATLAB.Torch 和 Te ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0qALp.html" rel="bookmark" class="title">servlet-求大神指导如何能够获取input里面的值</a>
					<div>
						问题描述 求大神指导如何能够获取input里面的值 参加人数: 解决方案 在servlet中获取请求中的表单值,是通过request.getParameter(&quot;参数时input标签的nam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4e13Nb.html" rel="bookmark" class="title">百度 vs 360 vs 搜狗：搜索市场上的巨头</a>
					<div>
						在搜索市场上,是不可能说两个搜索引擎一样的说法,肯定会有个东风压倒西风,这一点在全球市场都是这样的模式发展的.雅虎在日本和台湾独占鳌头,Naver在韩国有压倒性优势,Yandex称霸俄罗斯.谷歌在全球 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEW5mz.html" rel="bookmark" class="title">精确查找PHP WEBSHELL木马的方法&lpar;1&rpar;&lowbar;python</a>
					<div>
						先来看下反引号可以成功执行命名的代码片段.代码如下: 复制代码 代码如下: `ls -al`; `ls -al`; echo &quot;sss&quot;; `ls -al`; $sql = &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr20KxM.html" rel="bookmark" class="title">JS实现控制表格内指定单元格内容对齐的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JS实现控制表格内指定单元格内容对齐的方法.分享给大家供大家参考.具体如下: 下面的代码控制表格单元格的内容向右对齐 &lt;!DOCTYPE html&gt; &lt;html&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9j2Bgp.html" rel="bookmark" class="title">Android 实现电话拦截及拦截提示音功能的开发&lowbar;Android</a>
					<div>
						  本文所讲的内容是在Android系统中如何写程序进行电话拦截,并发出拦截提示音提醒用户,可以说此功能还是比较实用的.        1.电话拦截        这个功能大家可能都知道了,就是利用反 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm09Np.html" rel="bookmark" class="title">C&plus;&plus;实现显示MP3文件信息的方法&lowbar;C 语言</a>
					<div>
						本文实例讲述了C++实现显示MP3文件信息的方法.分享给大家供大家参考.具体实现方法如下: /** * This is small example how to use libZPlay librar ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
